aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorWladimir J. van der Laan <laanwj@protonmail.com>2019-09-30 14:48:08 +0200
committerWladimir J. van der Laan <laanwj@protonmail.com>2019-09-30 14:48:17 +0200
commit2fe6c185a6fea1ec827e358d93c5015d21a178fe (patch)
tree5d51773b46dfda475e3fa2b7a6b22595d0a45b81 /test
parent981ec9b817410e9ba4794a5a26c120c9e0d2d05f (diff)
parente2ce392aec664c0b729b1890f7fdf1ff2dd23d90 (diff)
downloadbitcoin-2fe6c185a6fea1ec827e358d93c5015d21a178fe.tar.xz
Merge #16988: qt: Periodic translations update
e2ce392aec664c0b729b1890f7fdf1ff2dd23d90 test: Avoid whitespace linting in qt translations (Wladimir J. van der Laan) 977dd23e4023ac2f6cbbe86eb769db079b8018be qt: Periodic translations update (Wladimir J. van der Laan) Pull request description: Pull new translations from Transifex (using bitcoin-core/bitcoin-maintainer-tools#36) and run `make translate`. (maybe the last one before the split-off) Also added a commit to add `src/qt/locale` to the exclusions for the whitespace linter. I don't think automatically generated files should be linted. Top commit has no ACKs. Tree-SHA512: 53aee46d44eceb18f78034febe76ac4d346c643dfc5a16878193433f85db1642977a7028bb2cf99c2c10d972d833c742f7f873991691b5d9f81b2df7b2679bf9
Diffstat (limited to 'test')
-rwxr-xr-xtest/lint/lint-whitespace.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/lint/lint-whitespace.sh b/test/lint/lint-whitespace.sh
index d5c1dee42d..861faf8516 100755
--- a/test/lint/lint-whitespace.sh
+++ b/test/lint/lint-whitespace.sh
@@ -31,14 +31,14 @@ if [ -z "${TRAVIS_COMMIT_RANGE}" ]; then
fi
showdiff() {
- if ! git diff -U0 "${TRAVIS_COMMIT_RANGE}" -- "." ":(exclude)depends/patches/" ":(exclude)src/leveldb/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/"; then
+ if ! git diff -U0 "${TRAVIS_COMMIT_RANGE}" -- "." ":(exclude)depends/patches/" ":(exclude)src/leveldb/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/" ":(exclude)src/qt/locale/"; then
echo "Failed to get a diff"
exit 1
fi
}
showcodediff() {
- if ! git diff -U0 "${TRAVIS_COMMIT_RANGE}" -- *.cpp *.h *.md *.py *.sh ":(exclude)src/leveldb/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/"; then
+ if ! git diff -U0 "${TRAVIS_COMMIT_RANGE}" -- *.cpp *.h *.md *.py *.sh ":(exclude)src/leveldb/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/" ":(exclude)src/qt/locale/"; then
echo "Failed to get a diff"
exit 1
fi